%define anolis_release 1
# Perform author tests
%bcond_without perl_Test_YAML_enables_extra_test

Name:		perl-Test-YAML
Version:	1.07
Release:	%{anolis_release}%{?dist}
Summary:	Testing Module for YAML Implementations
License:	GPL+ or Artistic
URL:		https://metacpan.org/release/Test-YAML
Source0:	https://cpan.metacpan.org/authors/id/T/TI/TINITA/Test-YAML-%{version}.tar.gz
BuildArch:	noarch
# Module Build
BuildRequires:	coreutils
BuildRequires:	findutils
BuildRequires:	make
BuildRequires:	perl-generators
BuildRequires:	perl-interpreter
BuildRequires:	perl(ExtUtils::MakeMaker) > 6.75
BuildRequires:	perl(strict)
BuildRequires:	perl(warnings)
# Module Runtime
BuildRequires:	perl(Data::Dumper)
BuildRequires:	perl(Test::Base) >= 0.89
BuildRequires:	perl(Test::Base::Filter)
# Test Suite
BuildRequires:	perl(Test::More)
%if %{with perl_Test_YAML_enables_extra_test}
BuildRequires:	perl(Test::Pod) >= 1.41
%endif
# Runtime
Requires:	perl(Data::Dumper)

%description
Test::YAML is a subclass of Test::Base with YAML specific support.

%package doc
Summary: Doc files for %{name}
Requires: %{name} = %{version}-%{release}

%description doc
Doc files for %{name}

%prep
%setup -q -n Test-YAML-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1 NO_PERLLOCAL=1
make %{?_smp_mflags}

%install
make install DESTDIR=%{buildroot}
%{_fixperms} -c %{buildroot}

# Exclude script that does nothing
rm %{buildroot}%{_bindir}/test-yaml

%check
unset AUTHOR_TESTING
make test %{?with_perl_Test_YAML_enables_extra_test:AUTHOR_TESTING=1}

%files
%license LICENSE
%{perl_vendorlib}/Test/
%{_mandir}/man3/Test::YAML.3*

%files doc
%doc Changes CONTRIBUTING README

%changelog
* Mon Feb 06 2023 Chunmei Xu <xuchunmei@linux.alibaba.com> - 1.07-1
- init from upstream
